VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties
VisimBox.Scene.SkyBoxNode Class Reference
Inheritance diagram for VisimBox.Scene.SkyBoxNode:

List of all members.

## Public Member Functions
| SkyBoxNode ()
| SkyBoxNode (System.Xml.XmlReader reader)
| SkyBoxNode (Node owner, SkyboxData skb)
| Creates skybox node from already initializes skyboxdata.
| SkyBoxNode (Node owner, string[] textures, Vector3 scale)
| Creates skybox node from array of the texture names and specified scale. Loads textures to default renderer upon initializing.
override void | WriteInternalData (System.Xml.XmlWriter writer)
| Write internal data of the node to XML, without subnodes (called from WriteXML)
override bool | ReadInternalData (System.Xml.XmlReader reader)
| Reads one item of internal data. Should return true if recognized value (for overloading)
void | OnRender (RendererEventArgs args)
| Called by the renderer when rendering hiearchy of elements. Object must either perform complete render (set transformation, material and use direct rendering calls) or feed renderbuffer of the context with correct data.
void | RenderGeometry (RendererEventArgs args)
| Feed geometry to the renderer (all other settings should be already set)
VisiMath.Geometry.IGeometry | GetBoundingObject ()
| Returns bounding object of the renderable item (for lights etc). Should be simplest possible (box)
Vector3 | GetCenter ()
| Fallback function if GetBoundingObject returns null.
override void | Dispose ()
## Protected Member Functions
override void | CopyData (Node targetNode)
## Protected Attributes
SkyboxData | skybox
## Properties
SkyboxData | Skybox`[get]`
override RenderFlags | DefaultRenderFlags`[get]`
| Default render flags for the node (node will be rendered only if flags are correct)

## Constructor & Destructor Documentation

VisimBox.Scene.SkyBoxNode.SkyBoxNode | ( |  | ) |

VisimBox.Scene.SkyBoxNode.SkyBoxNode | ( | System.Xml.XmlReader | reader | ) |

VisimBox.Scene.SkyBoxNode.SkyBoxNode | ( | Node | owner,
|  | SkyboxData | skb
| ) |  |

Creates skybox node from already initializes skyboxdata.

Parameters:

  owner | Owner node
  skb | Skybox data

VisimBox.Scene.SkyBoxNode.SkyBoxNode | ( | Node | owner,
|  | string[] | textures,
|  | Vector3 | scale
| ) |  |

Creates skybox node from array of the texture names and specified scale. Loads textures to default renderer upon initializing.

Parameters:

  owner | Owner node
  textures | array of textures (see SkyboxData for format)
  scale | Required scale (recommended set to visibility of scene)

## Member Function Documentation

override void VisimBox.Scene.SkyBoxNode.CopyData | ( | Node | targetNode | ) | `[protected, virtual]`

Reimplemented from VisimBox.Scene.Node.

override void VisimBox.Scene.SkyBoxNode.Dispose | ( |  | ) | `[virtual]`

Reimplemented from VisimBox.Scene.Node.

VisiMath.Geometry.IGeometry VisimBox.Scene.SkyBoxNode.GetBoundingObject | ( |  | ) |

Returns bounding object of the renderable item (for lights etc). Should be simplest possible (box)

Returns:
  Bounding object or null if not using one

Implements VisimBox.Renderer.RenderObjects.IRenderable.

Vector3 VisimBox.Scene.SkyBoxNode.GetCenter | ( |  | ) |

Fallback function if GetBoundingObject returns null.

Returns:
  Center of the object

Implements VisimBox.Renderer.RenderObjects.IRenderable.

void VisimBox.Scene.SkyBoxNode.OnRender | ( | RendererEventArgs | args | ) |

Called by the renderer when rendering hiearchy of elements. Object must either perform complete render (set transformation, material and use direct rendering calls) or feed renderbuffer of the context with correct data.

Parameters:

  args | Rendering events - pointer to rendering context and renderer

Direct rendering should be done only in special cases in this call as it removes any rendering optimalizations performed on the render buffer. This is important especially for any objects using alpha transparency, which could create visual artefacts unless rendered in sorter back to front order.

Implements VisimBox.Renderer.RenderObjects.IRenderable.

override bool VisimBox.Scene.SkyBoxNode.ReadInternalData | ( | System.Xml.XmlReader | reader | ) | `[virtual]`

Reads one item of internal data. Should return true if recognized value (for overloading)

Parameters:

  reader | Reader to read from

Returns:
  True if value was handled, false if not

Reimplemented from VisimBox.Scene.Node.

void VisimBox.Scene.SkyBoxNode.RenderGeometry | ( | RendererEventArgs | args | ) |

Feed geometry to the renderer (all other settings should be already set)

Parameters:

  args | Rendering events - pointer to rendering context and renderer

Used when rendering from the renderbuffer

Implements VisimBox.Renderer.RenderObjects.IRenderable.

override void VisimBox.Scene.SkyBoxNode.WriteInternalData | ( | System.Xml.XmlWriter | writer | ) | `[virtual]`

Write internal data of the node to XML, without subnodes (called from WriteXML)

Parameters:

  writer | XML Writer

Reimplemented from VisimBox.Scene.Node.

## Member Data Documentation

SkyboxData VisimBox.Scene.SkyBoxNode.skybox`[protected]`

## Property Documentation

override RenderFlags VisimBox.Scene.SkyBoxNode.DefaultRenderFlags`[get]`

Default render flags for the node (node will be rendered only if flags are correct)

Reimplemented from VisimBox.Scene.Node.

SkyboxData VisimBox.Scene.SkyBoxNode.Skybox`[get]`

The documentation for this class was generated from the following file:

- SkyBoxNode.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events